diff -urN bash-3.1/debian/patches/pgrp-pipe.dpatch bash-3.1-jim/debian/patches/pgrp-pipe.dpatch
--- bash-3.1/debian/patches/pgrp-pipe.dpatch	1969-12-31 19:00:00.000000000 -0500
+++ bash-3.1-jim/debian/patches/pgrp-pipe.dpatch	2006-01-23 16:00:22.000000000 -0500
@@ -0,0 +1,29 @@
+#! /bin/sh -e
+
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+    pdir="-d $3"
+elif [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch $pdir -f --no-backup-if-mismatch -p0 < $0;;
+    -unpatch) patch $pdir -f --no-backup-if-mismatch -R -p0 < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+# DP: Define PGRP_PIPE to avoid race condition.
+
+--- config-bot.h	2004-03-19 17:56:23.000000000 -0500
++++ config-bot.h	2005-09-16 14:32:33.000000000 -0400
+@@ -179,3 +179,6 @@
+ 
+ /* If you don't want bash to provide a default mail file to check. */
+ #undef DEFAULT_MAIL_DIRECTORY
++
++/* Bug #224543 */
++#define PGRP_PIPE 1
+
diff -urN bash-3.1/debian/rules bash-3.1-jim/debian/rules
--- bash-3.1/debian/rules	2006-01-23 16:00:13.000000000 -0500
+++ bash-3.1-jim/debian/rules	2006-01-23 16:00:59.000000000 -0500
@@ -498,6 +498,7 @@
 	rbash-manpage \
 	command-not-found \
 	bash-default-editor \
+	pgrp-pipe \
 
 # all debian_patches, without bash205b-*
 # patches integrated in bashdb: builtins-shift, execute-cmd, man-arithmetic,
